## org.apache.catalina
Interface LifecycleListener

All Known Implementing Classes:
  ContextConfig, EngineConfig, GlobalResourcesLifecycleListener, HostConfig, NamingContextListener, ServerLifecycleListener, StandardDefaultContext, UserConfig, WarpConnection

public interface LifecycleListener

Interface defining a listener for significant events (including "component start" and "component stop" generated by a component that implements the Lifecycle interface.

Version:
  $Revision: 1.4 $ $Date: 2004/08/26 22:05:52 $
Author:
  Craig R. McClanahan

Method Summary
`void` `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - LifecycleEvent that has occurred

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.